CREATE TABLE fnd_file_upload_chunks (
    CHUNK_UPLOAD_ID      NUMBER(18, 0) ,
    TRACKER_ID           VARCHAR2(160)     NOT NULL,
    CHUNK_INDEX          NUMBER(18, 0)     NOT NULL,
    CHUNK_SIZE           NUMBER(18, 0)     NOT NULL,
    STATUS               VARCHAR2(40)      NOT NULL,
    ERROR_MESSAGE        VARCHAR2(4000),
    ERROR_ACTION         VARCHAR2(4000),
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CHUNK_METADATA       VARCHAR2(4000),
    CHUNK_UPLOAD_ID      NUMBER(18, 0) ,
    TRACKER_ID           VARCHAR2(160)     NOT NULL,
    CHUNK_INDEX          NUMBER(18, 0)     NOT NULL,
    CHUNK_SIZE           NUMBER(18, 0)     NOT NULL,
    STATUS               VARCHAR2(40)      NOT NULL,
    ERROR_MESSAGE        VARCHAR2(4000),
    ERROR_ACTION         VARCHAR2(4000),
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CHUNK_METADATA       VARCHAR2(4000),
    CONSTRAINT pk_fnd_file_upload_chunks PRIMARY KEY (CHUNK_UPLOAD_ID, CHUNK_UPLOAD_ID)
);
